{pkgs, ...}: {
  services.swayosd.enable = true;

  wayland.windowManager.hyprland.settings = {
    exec-once = [
      "uwsm app -- swayosd-server"
    ];
    bindel = [
      ", XF86AudioRaiseVolume, exec, swayosd-client --output-volume raise"
      ", XF86AudioLowerVolume, exec, swayosd-client --output-volume lower"
    ];
    bindl = [
      ", XF86AudioMute, exec, swayosd-client --output-volume mute-toggle"
      ", Caps_Lock, exec, swayosd-client --caps-lock"
    ];
  };
}
